Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_uri_local_name

## Name

librdf_new_node_from_uri_local_name -- Constructor - create a new resource librdf_node object with a given URI and local name

## Synopsis

``librdf_node* `librdf_new_node_from_uri_local_name`` (librdf_world * `world`, librdf_uri * `uri`, const char * `local_name`);`

## Arguments

`world`

  redland world object

`uri`

  rdf_uri object

`local_name`

  local name to append to URI

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_uri | Up | librdf_new_node_from_normalised_uri_string